cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"actionId": "<string>",
"penaltyFineForfeitureInUSD": 0,
"lengthOfOrderInDays": 0,
"_id": "<string>",
"originOfAction": "<string>",
"reasonForAction": "<string>",
"disposition": "<string>",
"dateOfAction": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-11-07T05:31:56Z",
"enterDate": "2023-11-07T05:31:56Z",
"fileRef": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Regulatory Actions
Get Agent Regulatory Actions
Retrieve regulatory actions for a specific agent
GET
/
v2
/
upstream
/
agents
/
{agentId}
/
regulatory-actions
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/regulatory-actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"actionId": "<string>",
"penaltyFineForfeitureInUSD": 0,
"lengthOfOrderInDays": 0,
"_id": "<string>",
"originOfAction": "<string>",
"reasonForAction": "<string>",
"disposition": "<string>",
"dateOfAction": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-11-07T05:31:56Z",
"enterDate": "2023-11-07T05:31:56Z",
"fileRef": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns all regulatory actions recorded against a specific agent under your carrier or MGA account.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the agent
Was this page helpful?